#ifdef _CH_
#pragma package <opencv>
#endif

#ifndef _EiC
#include "cv.h"
#include "highgui.h"
#endif

#ifndef _EDGEFEATURE_H
#define _EDGEFEATURE_H

#include <vector>
#include <math.h>

class edgeFeature: public feature  {

public:
	edgeFeature();
	edgeFeature(int d);
	edgeFeature(int d, int d2);
	virtual ~edgeFeature();
	int dominantOrientation;
	int dominantOrientation2;	//possible second orientation like 0 and 5 (horizontal)

	int calcValue(IplImage *input, IplImage **bins, IplImage *red, IplImage *CumulativeIntensities);
};

#endif // !defined(AFX_EDGEFEATURE_H__0BD9B324_8F1B_4C93_B78E_AC6535C49C98__INCLUDED_)

#ifdef _EiC
main(1,"edgeFeature.cpp");
#endif